TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.MessageEOFException Class Reference

The data stream within a message ended unexpectedly More...

Inheritance diagram for TIBCO.EMS.MessageEOFException:

## Public Member Functions
| MessageEOFException (string reason, string errorCode)
| Initializes a new instance of the MessageEOFException with the specified reason and error code. More...
| MessageEOFException (string reason)
| Initializes a new instance of the MessageEOFException with the specified reason. More...
Public Member Functions inherited from TIBCO.EMS.EMSException
| EMSException (string reason, string errorCode)
| Initializes a new instance of the EMSException with the specified reason and error code. More...
| EMSException (string reason)
| Initializes a new instance of the EMSException with the specified reason. More...
| EMSException (string reason, int errorNumber)
| Initializes a new instance of the EMSException with the specified reason and error number More...

## Additional Inherited Members
Properties inherited from TIBCO.EMS.EMSException
string | ErrorCode`[get]`
| Gets the error code associated with this exception More...
System.Exception | LinkedException`[get, set]`
| Get and Set the exception linked to this one More...

## Detailed Description

The data stream within a message ended unexpectedly

BytesMessage contains a stream of bytes. StreamMessage contains a stream of characters. If any of their read methods detects the end of the stream unexpectedly, it throws this exception.

## Constructor & Destructor Documentation

TIBCO.EMS.MessageEOFException.MessageEOFException | ( | string | reason,
|  | string | errorCode
| ) |  |
| inline

Initializes a new instance of the MessageEOFException with the specified reason and error code.

TIBCO.EMS.MessageEOFException.MessageEOFException | ( | string | reason | ) |
| inline

Initializes a new instance of the MessageEOFException with the specified reason.